#ifndef VDR_EM84XX_PLAYER_H
#define VDR_EM84XX_PLAYER_H

#include <vdr/player.h>

class cDeviceEm84xx;
class cPlayerEm84xx;

class cControlEm84xx: public cControl {
private:
	cDeviceEm84xx*	mEm84Device;
	cPlayerEm84xx      *mPlayer;
	cSkinDisplayReplay *mDisplay;

	bool mTimeSearchActive;
	bool mTimeSearchHide;
	int mTimeSearchTime;
	int mTimeSearchPos;

protected:
	eOSState ProcessKeyDvdNavigation(eKeys Key);
	eOSState ProcessKeyDefaultButtons(eKeys Key);
	eOSState ProcessKeyDiscAction(eKeys Key);

	void ShowProgress(bool Open = false);

	void TimeSearch(void);
	void TimeSearchProcess(eKeys Key);
	void TimeSearchDisplay(void);

public:
	cControlEm84xx(cDeviceEm84xx* Em84Device);
	virtual ~cControlEm84xx();

	virtual void Hide(void);
	virtual eOSState ProcessKey(eKeys Key);
};

#endif // VDR_EM84XX_PLAYER_H
